![]() |
API Documentation
|
where {contactId} is the ID of a Covata user's contact.
PUT - used to modify the fields of an existing contact that belongs to the currently authenticated Covata user*, based on the contact's ID.DELETE - used to remove an existing contact belonging to the currently authenticated Covata user.Note: The
DELETEmethod takes no parameters.
This API endpoint serves a number of purposes:
GET method of the <access-service>/api/v1/users/me/contacts API endpoint, which retrieves a list of field information for all contacts of the currently authenticated Covata user. This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):
The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.
The appropriate access token as the Bearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6The following header is required if the body of the request has a JSON object:
Content-Type: application/jsonThe following required parameters must be sent in the body of the PUT request, as individual members of a JSON object:
email - .
Example ():
The following optional parameters can also be sent in the body of the PUT request, each as individual members of the JSON object that includes the Required parameters above:
lastName - .
Example ():
A JSON-formatted response containing the following members:
modifiedAt - .
Example (response from ...):
If the request succeeded, then an HTTP response status 200 OK is returned.
* The currently authenticated user is determined by the access token passed in the header of requests to this endpoint.